import { Mark } from './Mark';
import { OHLCModel } from './OHLCModel';
export declare class OHLC extends Mark {
    render(): Promise<void>;
    set_ranges(): void;
    set_positional_scales(): void;
    /**
     * Creates event listeners and binds them to rendered d3 elements
     */
    create_listeners(): void;
    /**
     * Sets event listeners depending on the interaction typr
     * @param interaction - string representing the interaction
     */
    process_click(interaction: any): void;
    /**
     * Resets model state for selected indices
     */
    reset_selection(): void;
    /**
     * Updates model state with selected indices
     * @param model - model object
     * @param value - array of indices
     */
    update_selected(model: any, value: any): void;
    /**
     * Updates model state with selected indices (adapted from Bars.ts)
     * @param args - data object of {x, y, index}
     */
    ohlc_click_handler(args: any): void;
    private updateStroke;
    private updateStrokeWidth;
    private updateColors;
    private updateOpacities;
    private updateMarker;
    private updateSelectedColors;
    invert_range(start_pxl: any, end_pxl: any): any[];
    invert_point(pixel: any): void;
    draw(): void;
    private drawMarkPaths;
    private headPathCandle;
    private tailPathCandle;
    private bodyPathCandle;
    private headPathBar;
    private tailPathBar;
    private bodyPathBar;
    private calculateMarkWidth;
    relayout(): void;
    draw_legend(elem: any, x_disp: any, y_disp: any, inter_x_disp: any, inter_y_disp: any): number[];
    draw_legend_icon(size: any, selector: any): void;
    clear_style(): void;
    compute_view_padding(): void;
    set_default_style(): void;
    set_style_on_elements(): void;
    model: OHLCModel;
    private legendEl;
    private rectDim;
    private xPixels;
    private width;
    private height;
}
